VTK: vtkDIYGhostUtilities::UnstructuredGridInformation Struct Reference

| VTK 9.3.1

Public Attributes | List of all members
vtkDIYGhostUtilities::UnstructuredGridInformation Struct Reference

`#include <vtkDIYGhostUtilities.h>`

Inheritance diagram for vtkDIYGhostUtilities::UnstructuredGridInformation:
[legend]
Collaboration diagram for vtkDIYGhostUtilities::UnstructuredGridInformation:
[legend]

## Public Attributes
vtkIdType | CurrentFacesSize = 0
| This is a cursor telling the amount of faces information, that has already been added to the output. More...
vtkIdType | CurrentConnectivitySize = 0
| This is a cursor telling how much the output connectivity array is filled. More...
vtkIdTypeArray * | Faces = nullptr
vtkIdTypeArray * | FaceLocations = nullptr
vtkUnstructuredGrid * | Input
vtkIdType | InputConnectivitySize = 0
| Cell connectivity array size of the input if the ghost cells are removed. More...
vtkIdType | InputFacesSize = 0
| Faces array size of the input if the ghost cells are removed. More...
Public Attributes inherited from vtkDIYGhostUtilities::UnstructuredDataInformation
vtkBoundingBox | BoundingBox
| Bounding box of input. More...
vtkSmartPointer< vtkIdList > | OutputToInputCellIdRedirectionMap = nullptr
| When the input has ghosts, this map is being used to copy input cells / cell data into the output (with input ghosts peeled off). More...
vtkSmartPointer< vtkAlgorithm > | InterfaceExtractor
| Filter that is being used to extract the surface of the input. More...
vtkIdTypeArray * | InterfacePointIds
| Handle to the local point ids of the surface of the input. More...
vtkDataArray * | InterfacePoints
| Handle to the points of the surface of the input. More...
vtkSmartPointer< vtkIdTypeArray > | InterfaceGlobalPointIds
| Handle to the point ids of the input surface, if present. More...
vtkSmartPointer< vtkIdList > | InputToOutputPointIdRedirectionMap = nullptr
| When the input has ghosts, this map is being used to copy input points / point data into the output (with input ghosts peeled off). More...
vtkSmartPointer< vtkIdList > | OutputToInputPointIdRedirectionMap = nullptr
| When the input has ghosts, this map is being used to copy input points / point data into the output (with input ghosts peeled off). More...
vtkIdType | CurrentMaxPointId
vtkIdType | CurrentMaxCellId
vtkIdType | NumberOfInputPoints
| Number of input points / cell in the input when ghosts are removed. More...
vtkIdType | NumberOfInputCells
| Number of input points / cell in the input when ghosts are removed. More...

## Additional Inherited Members
Public Member Functions inherited from vtkDIYGhostUtilities::UnstructuredDataInformation
bool | InputNeedsGhostsPeeledOff () const

## Detailed Description

Definition at line 561 of file vtkDIYGhostUtilities.h.

## Member Data Documentation

## ◆ CurrentFacesSize

vtkIdType vtkDIYGhostUtilities::UnstructuredGridInformation::CurrentFacesSize = 0

This is a cursor telling the amount of faces information, that has already been added to the output.

This variable is used at the very end of the pipeline.

Definition at line 567 of file vtkDIYGhostUtilities.h.

## ◆ CurrentConnectivitySize

vtkIdType vtkDIYGhostUtilities::UnstructuredGridInformation::CurrentConnectivitySize = 0

This is a cursor telling how much the output connectivity array is filled.

This is used at the very end of the pipeline.

Definition at line 573 of file vtkDIYGhostUtilities.h.

## ◆ Faces

vtkIdTypeArray* vtkDIYGhostUtilities::UnstructuredGridInformation::Faces = nullptr

Definition at line 575 of file vtkDIYGhostUtilities.h.

## ◆ FaceLocations

vtkIdTypeArray* vtkDIYGhostUtilities::UnstructuredGridInformation::FaceLocations = nullptr

Definition at line 576 of file vtkDIYGhostUtilities.h.

## ◆ Input

vtkUnstructuredGrid* vtkDIYGhostUtilities::UnstructuredGridInformation::Input

Definition at line 578 of file vtkDIYGhostUtilities.h.

## ◆ InputConnectivitySize

vtkIdType vtkDIYGhostUtilities::UnstructuredGridInformation::InputConnectivitySize = 0

Cell connectivity array size of the input if the ghost cells are removed.

Definition at line 583 of file vtkDIYGhostUtilities.h.

## ◆ InputFacesSize

vtkIdType vtkDIYGhostUtilities::UnstructuredGridInformation::InputFacesSize = 0

Faces array size of the input if the ghost cells are removed.

Definition at line 588 of file vtkDIYGhostUtilities.h.

The documentation for this struct was generated from the following file:

- Parallel/DIY/vtkDIYGhostUtilities.h